at.chipkarte.client.dbas.soap

## Class DatenblattDmpDm2

- Object
- - at.chipkarte.client.dbas.soap.DatenblattDmpDm2

-     public class DatenblattDmpDm2
      extends Object

  Enthält die Eingangsdaten zum Aufruf der Funktion createDatenblattDmpDm2.
  ParameterID: 120600.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatenblattDmpDm2()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlbKreaKleiner()` Albumin-Kreatinin-Quotient kleiner - Gemessene Werte.
    `String` | `getAlbuminKreatininQuotient()` Albumin-Kreatinin-Quotient im Harn - Gemessene Werte.
    `String` | `getAmputation()` Angabe, welche Amputation der Patient erlitten hat - Sekundärkomplikationen.
    `String` | `getAnginaPectoris()` Angabe über erlittene Angina Pectoris - Symptome.
    `String` | `getApoplexie()` Angabe über Apoplexie - Sekundärkomplikationen.
    `String` | `getBewegung()` Bewegung - Therapie/Zielvereinbarung.
    `String` | `getBlindheit()` Angabe über die Blindheit des Patienten - Sekundärkomplikationen.
    `String` | `getBlutdruckmessung()` Blutdruckmessung - Selbstkontrolle/Schulung.
    `String` | `getBlutdruckTherapie()` Blutdruck Therapie - Therapie/Zielvereinbarung.
    `String` | `getBlutdruckZielvereinbarung()` Blutdruck Zielvereinbarung - Therapie/Zielvereinbarung.
    `String` | `getBlutfette()` Blutfette - Therapie/Zielvereinbarung.
    `String` | `getBlutzuckermessung()` Blutzuckermessung - Selbstkontrolle/Schulung.
    `Long` | `getBvId()` Eindeutiger Bezeichner des ausgewählten Betreuungsverhältnisses.
    `String` | `getCholesterin()` Cholesterin - Gemessene Werte.
    `String` | `getClaudicatio()` Angabe über Claudicatio - Symptome.
    `String` | `getDepression()` Angabe über vorhandene Depressionen - Komorbiditäten/Rauchen.
    `String` | `getDiabetesDiagnoseJahr()` Jahresangabe, wann Diabetes diagnostiziert wurde - Einschreibung/Lebensqualität.
    `String` | `getDiabetesSchulungWannJahr()` Angabe, in welchem Jahr die Diabetesschulung besucht wurde - Selbstkontrolle/Schulung.
    `String` | `getEgfr()` eGFR (mittels CKD-EPI-Formel) - Gemessene Werte.
    `String` | `getEq5d()` Messwert der gesundheitsbezogenen Lebensqualität, der aus 5 Fragen berechnet wird - Einschreibung/Lebensqualität.
    `String` | `getEq5dvas()` Verwendung der visuellen Analog-Skala bei EQ-5D - Einschreibung/Lebensqualität.
    `String` | `getErektileDysfunktion()` Angabe über vorhandene erektile Dysfunktion - Symptome.
    `String` | `getErnaehrung()` Ernaehrung - Therapie/Zielvereinbarung.
    `String` | `getFussdeformitaetLinks()` Fuß Deformität Links - Augen-/Fußuntersuchung.
    `String` | `getFussdeformitaetRechts()` Fuß Deformität Rechts - Augen-/Fußuntersuchung.
    `String` | `getGeburtsdatum()` Geburtsdatum des Patienten.
    `String` | `getGewicht()` Gewicht (kg) - Gemessene Werte.
    `String` | `getGewichtZielvereinbarung()` Gewicht Zielvereinbarung - Therapie/Zielvereinbarung.
    `String` | `getGroesse()` Größe (cm) - Gemessene Werte.
    `String` | `getHba1c()` HbA1c (%) - Gemessene Werte.
    `String` | `getHba1cMol()` HbA1c (mmol/mol) - Gemessene Werte.
    `String` | `getHba1cMolZielvereinbarung()` HbA1c (mmol/mol) Zielvereinbarung - Therapie/Zielvereinbarung.
    `String` | `getHba1cZielvereinbarung()` HbA1c (%) Zielvereinbarung - Therapie/Zielvereinbarung.
    `String` | `getHdlCholesterin()` HDL-Chol - Gemessene Werte.
    `String` | `getHerzBypassDilatation()` Angabe über einen Herzbypass oder eine Dilatation - Sekundärkomplikationen.
    `String` | `getHerzinfarkt()` Angabe, ob der Patient jemals einen Herzinfakt erlitten hat - Sekundärkomplikationen.
    `String` | `getHerzinsuffizienz()` Angabe über vorhandene Herzinsuffizienz - Komorbiditäten/Rauchen.
    `String` | `getHypertonieSeitJahr()` Jahresangabe, seit wann der Patient an Hypertonie leidet - Einschreibung/Lebensqualität.
    `String` | `getInnerhalb12Monaten()` Augenuntersuchung in den letzten 12 Monaten - Augen-/Fußuntersuchung.
    `String` | `getInsulin()` Insulin - Therapie/Zielvereinbarung.
    `String` | `getKhk()` Angabe über vorhandene koronare Herzkrankeit - Komorbiditäten/Rauchen.
    `String` | `getKombiTherapie()` Kombitherapie Zielvereinbarung - Therapie/Zielvereinbarung.
    `String` | `getKreatinin()` Kreatinin (mg/dl) - Gemessene Werte.
    `String` | `getNeuropathie()` Angabe über vorhandene Neuropathie - Symptome.
    `String` | `getNurDiaet()` Nur Diät - Therapie/Zielvereinbarung.
    `String` | `getOad()` Orale Antidiabetika - Therapie/Zielvereinbarung.
    `String` | `getPavk()` Angabe über peripher arterielle Verschlusskrankheit - Komorbiditäten/Rauchen.
    `String` | `getPavkBypassDilatation()` PAVK Bypass/Dilatation - Komorbiditäten/Rauchen.
    `String` | `getPulsTastbarLinks()` Puls Tastbar Links - Augen-/Fußuntersuchung.
    `String` | `getPulsTastbarRechts()` Puls Tastbar Rechts - Augen-/Fußuntersuchung.
    `String` | `getRauchenJaNein()` Rauchen - Komorbiditäten/Rauchen.
    `String` | `getRrdiaRuhemessung()` Ruhemessung in Ordination RRDIA (in mmHG) - Gemessene Werte.
    `String` | `getRrsysRuhemessung()` Ruhemessung in Ordination RRSYS (in mmHG) - Gemessene Werte.
    `String` | `getSchulung()` Diabetes Schulung - Selbstkontrolle/Schulung.
    `String` | `getSchwereHypoglykaemie()` Angabe über schwere Hypoglykämien (Fremdhilfe) - Symptome.
    `String` | `getSvNummer()` Sv-Nummer des Patienten für den das Datenblatt übermittelt werden soll.
    `String` | `getTabak()` Tabak - Therapie/Zielvereinbarung.
    `String` | `getTerminalesNierenversagen()` Angabe über Terminales Nierenversagen - Sekundärkomplikationen.
    `String` | `getTiaprind()` Angabe über transistorisch ischämische Anämie beziehungsweise proLongiertes reversibles ischämisch neurologisches Defizit - Symptome.
    `String` | `getTriglyceride()` Triglyceride (mg/dl) - Gemessene Werte.
    `String` | `getUlkusLinks()` Ulkus Links - Augen-/Fußuntersuchung.
    `String` | `getUlkusRechts()` Ulkus Rechts - Augen-/Fußuntersuchung.
    `String` | `getUntersuchungsdatum()` Untersuchungsdatum.
    `String` | `getVersionsnummer()` Version des Dokumentations-/Befundblattes.
    `String` | `getVibrationsempfindenVermindertLinks()` Vibrationsempfinden vermindert Links - Augen-/Fußuntersuchung.
    `String` | `getVibrationsempfindenVermindertRechts()` Vibrationsempfinden vermindert Rechts - Augen-/Fußuntersuchung.
    `void` | `setAlbKreaKleiner(String _albKreaKleiner)`
    `void` | `setAlbuminKreatininQuotient(String _albuminKreatininQuotient)`
    `void` | `setAmputation(String _amputation)`
    `void` | `setAnginaPectoris(String _anginaPectoris)`
    `void` | `setApoplexie(String _apoplexie)`
    `void` | `setBewegung(String _bewegung)`
    `void` | `setBlindheit(String _blindheit)`
    `void` | `setBlutdruckmessung(String _blutdruckmessung)`
    `void` | `setBlutdruckTherapie(String _blutdruckTherapie)`
    `void` | `setBlutdruckZielvereinbarung(String _blutdruckZielvereinbarung)`
    `void` | `setBlutfette(String _blutfette)`
    `void` | `setBlutzuckermessung(String _blutzuckermessung)`
    `void` | `setBvId(Long bvId)`
    `void` | `setCholesterin(String _cholesterin)`
    `void` | `setClaudicatio(String _claudicatio)`
    `void` | `setDepression(String _depression)`
    `void` | `setDiabetesDiagnoseJahr(String _diabetesDiagnoseJahr)`
    `void` | `setDiabetesSchulungWannJahr(String _diabetesSchulungWannJahr)`
    `void` | `setEgfr(String _egfr)`
    `void` | `setEq5d(String _eq5d)`
    `void` | `setEq5dvas(String _eq5dvas)`
    `void` | `setErektileDysfunktion(String _erektileDysfunktion)`
    `void` | `setErnaehrung(String _ernaehrung)`
    `void` | `setFussdeformitaetLinks(String _fussdeformitaetLinks)`
    `void` | `setFussdeformitaetRechts(String _fussdeformitaetRechts)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setGewicht(String _gewicht)`
    `void` | `setGewichtZielvereinbarung(String _gewichtZielvereinbarung)`
    `void` | `setGroesse(String _groesse)`
    `void` | `setHba1c(String _hba1c)`
    `void` | `setHba1cMol(String _hba1cMol)`
    `void` | `setHba1cMolZielvereinbarung(String _hba1cMolZielvereinbarung)`
    `void` | `setHba1cZielvereinbarung(String _hba1cZielvereinbarung)`
    `void` | `setHdlCholesterin(String _hdlCholesterin)`
    `void` | `setHerzBypassDilatation(String _herzBypassDilatation)`
    `void` | `setHerzinfarkt(String _herzinfarkt)`
    `void` | `setHerzinsuffizienz(String _herzinsuffizienz)`
    `void` | `setHypertonieSeitJahr(String _hypertonieSeitJahr)`
    `void` | `setInnerhalb12Monaten(String _innerhalb12Monaten)`
    `void` | `setInsulin(String _insulin)`
    `void` | `setKhk(String _khk)`
    `void` | `setKombiTherapie(String _kombiTherapie)`
    `void` | `setKreatinin(String _kreatinin)`
    `void` | `setNeuropathie(String _neuropathie)`
    `void` | `setNurDiaet(String _nurDiaet)`
    `void` | `setOad(String _oad)`
    `void` | `setPavk(String _pavk)`
    `void` | `setPavkBypassDilatation(String _pavkBypassDilatation)`
    `void` | `setPulsTastbarLinks(String _pulsTastbarLinks)`
    `void` | `setPulsTastbarRechts(String _pulsTastbarRechts)`
    `void` | `setRauchenJaNein(String _rauchenJaNein)`
    `void` | `setRrdiaRuhemessung(String _rrdiaRuhemessung)`
    `void` | `setRrsysRuhemessung(String _rrsysRuhemessung)`
    `void` | `setSchulung(String _schulung)`
    `void` | `setSchwereHypoglykaemie(String _schwereHypoglykaemie)`
    `void` | `setSvNummer(String _svNummer)`
    `void` | `setTabak(String _tabak)`
    `void` | `setTerminalesNierenversagen(String _terminalesNierenversagen)`
    `void` | `setTiaprind(String _tiaprind)`
    `void` | `setTriglyceride(String _triglyceride)`
    `void` | `setUlkusLinks(String _ulkusLinks)`
    `void` | `setUlkusRechts(String _ulkusRechts)`
    `void` | `setUntersuchungsdatum(String _untersuchungsdatum)`
    `void` | `setVersionsnummer(String _versionsnummer)`
    `void` | `setVibrationsempfindenVermindertLinks(String _vibrationsempfindenVermindertLinks)`
    `void` | `setVibrationsempfindenVermindertRechts(String _vibrationsempfindenVermindertRechts)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatenblattDmpDm2

          public DatenblattDmpDm2()

  - ### Method Detail

    - #### getDiabetesDiagnoseJahr

          public String getDiabetesDiagnoseJahr()

      Jahresangabe, wann Diabetes diagnostiziert wurde - Einschreibung/Lebensqualität.
      Format: Numerisch im Format yyyy.
      Angabe: Muss (Muss zwischen 1900 und dem aktuellen Jahr liegen. Darf nicht vor dem Geburtsjahr liegen.)
      ParameterID: 120620.
      Returns:
        DiabetesDiagnoseJahr

    - #### setDiabetesDiagnoseJahr

          public void setDiabetesDiagnoseJahr(String _diabetesDiagnoseJahr)

    - #### getHypertonieSeitJahr

          public String getHypertonieSeitJahr()

      Jahresangabe, seit wann der Patient an Hypertonie leidet - Einschreibung/Lebensqualität.
      Format: Numerisch im Format yyyy bzw. 0 (bei keiner Hypertonie).
      Angabe: Muss (Muss zwischen 1900 und dem aktuellen Jahr liegen. Darf nicht vor dem Geburtsjahr liegen.)
      ParameterID: 120621.
      Returns:
        HypertonieSeitJahr

    - #### setHypertonieSeitJahr

          public void setHypertonieSeitJahr(String _hypertonieSeitJahr)

    - #### getBlindheit

          public String getBlindheit()

      Angabe über die Blindheit des Patienten - Sekundärkomplikationen.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120624.
      Returns:
        Blindheit

    - #### setBlindheit

          public void setBlindheit(String _blindheit)

    - #### getTerminalesNierenversagen

          public String getTerminalesNierenversagen()

      Angabe über Terminales Nierenversagen - Sekundärkomplikationen.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120625.
      Returns:
        TerminalesNierenversagen

    - #### setTerminalesNierenversagen

          public void setTerminalesNierenversagen(String _terminalesNierenversagen)

    - #### getHerzinfarkt

          public String getHerzinfarkt()

      Angabe, ob der Patient jemals einen Herzinfakt erlitten hat - Sekundärkomplikationen.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120626.
      Returns:
        Herzinfarkt

    - #### setHerzinfarkt

          public void setHerzinfarkt(String _herzinfarkt)

    - #### getHerzBypassDilatation

          public String getHerzBypassDilatation()

      Angabe über einen Herzbypass oder eine Dilatation - Sekundärkomplikationen.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120627.
      Returns:
        HerzBypassDilatation

    - #### setHerzBypassDilatation

          public void setHerzBypassDilatation(String _herzBypassDilatation)

    - #### getApoplexie

          public String getApoplexie()

      Angabe über Apoplexie - Sekundärkomplikationen.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120628.
      Returns:
        Apoplexie

    - #### setApoplexie

          public void setApoplexie(String _apoplexie)

    - #### getAmputation

          public String getAmputation()

      Angabe, welche Amputation der Patient erlitten hat - Sekundärkomplikationen.
      Mögliche Werte siehe `AmputationsTypConstants`.
      Angabe: Muss.
      ParameterID: 120629.
      Returns:
        Amputation

    - #### setAmputation

          public void setAmputation(String _amputation)

    - #### getNeuropathie

          public String getNeuropathie()

      Angabe über vorhandene Neuropathie - Symptome.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120630.
      Returns:
        Neuropathie

    - #### setNeuropathie

          public void setNeuropathie(String _neuropathie)

    - #### getAnginaPectoris

          public String getAnginaPectoris()

      Angabe über erlittene Angina Pectoris - Symptome.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120631.
      Returns:
        AnginaPectoris

    - #### setAnginaPectoris

          public void setAnginaPectoris(String _anginaPectoris)

    - #### getClaudicatio

          public String getClaudicatio()

      Angabe über Claudicatio - Symptome.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120632.
      Returns:
        Claudicatio

    - #### setClaudicatio

          public void setClaudicatio(String _claudicatio)

    - #### getTiaprind

          public String getTiaprind()

      Angabe über transistorisch ischämische Anämie beziehungsweise proLongiertes reversibles ischämisch neurologisches Defizit - Symptome.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120633.
      Returns:
        Tiaprind

    - #### setTiaprind

          public void setTiaprind(String _tiaprind)

    - #### getSchwereHypoglykaemie

          public String getSchwereHypoglykaemie()

      Angabe über schwere Hypoglykämien (Fremdhilfe) - Symptome.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120634.
      Returns:
        Tiaprind

    - #### setSchwereHypoglykaemie

          public void setSchwereHypoglykaemie(String _schwereHypoglykaemie)

    - #### getErektileDysfunktion

          public String getErektileDysfunktion()

      Angabe über vorhandene erektile Dysfunktion - Symptome.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Bedingt (Muss bei männlichen Patienten angegeben werden. Bei weiblichen Patienten ist keine Eingabe erlaubt).
      ParameterID: 120635.
      Returns:
        ErektileDysfunktion

    - #### setErektileDysfunktion

          public void setErektileDysfunktion(String _erektileDysfunktion)

    - #### getHerzinsuffizienz

          public String getHerzinsuffizienz()

      Angabe über vorhandene Herzinsuffizienz - Komorbiditäten/Rauchen.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120636.
      Returns:
        Herzinsuffizienz

    - #### setHerzinsuffizienz

          public void setHerzinsuffizienz(String _herzinsuffizienz)

    - #### getKhk

          public String getKhk()

      Angabe über vorhandene koronare Herzkrankeit - Komorbiditäten/Rauchen.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120637.
      Returns:
        Khk

    - #### setKhk

          public void setKhk(String _khk)

    - #### getDepression

          public String getDepression()

      Angabe über vorhandene Depressionen - Komorbiditäten/Rauchen.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120638.
      Returns:
        Depression

    - #### setDepression

          public void setDepression(String _depression)

    - #### getPavk

          public String getPavk()

      Angabe über peripher arterielle Verschlusskrankheit - Komorbiditäten/Rauchen.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120639.
      Returns:
        Pavk

    - #### setPavk

          public void setPavk(String _pavk)

    - #### getPavkBypassDilatation

          public String getPavkBypassDilatation()

      PAVK Bypass/Dilatation - Komorbiditäten/Rauchen.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120611.
      Returns:
        PavkBypassDilatation

    - #### setPavkBypassDilatation

          public void setPavkBypassDilatation(String _pavkBypassDilatation)

    - #### getInnerhalb12Monaten

          public String getInnerhalb12Monaten()

      Augenuntersuchung in den letzten 12 Monaten - Augen-/Fußuntersuchung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120642.
      Returns:
        Innerhalb12Monaten

    - #### setInnerhalb12Monaten

          public void setInnerhalb12Monaten(String _innerhalb12Monaten)

    - #### getFussdeformitaetLinks

          public String getFussdeformitaetLinks()

      Fuß Deformität Links - Augen-/Fußuntersuchung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120647.
      Returns:
        FussdeformitaetLinks

    - #### setFussdeformitaetLinks

          public void setFussdeformitaetLinks(String _fussdeformitaetLinks)

    - #### getFussdeformitaetRechts

          public String getFussdeformitaetRechts()

      Fuß Deformität Rechts - Augen-/Fußuntersuchung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120648.
      Returns:
        FussdeformitaetRechts

    - #### setFussdeformitaetRechts

          public void setFussdeformitaetRechts(String _fussdeformitaetRechts)

    - #### getPulsTastbarLinks

          public String getPulsTastbarLinks()

      Puls Tastbar Links - Augen-/Fußuntersuchung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120665.
      Returns:
        PulsTastbarLinks

    - #### setPulsTastbarLinks

          public void setPulsTastbarLinks(String _pulsTastbarLinks)

    - #### getPulsTastbarRechts

          public String getPulsTastbarRechts()

      Puls Tastbar Rechts - Augen-/Fußuntersuchung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120666.
      Returns:
        PulsTastbarRechts

    - #### setPulsTastbarRechts

          public void setPulsTastbarRechts(String _pulsTastbarRechts)

    - #### getUlkusLinks

          public String getUlkusLinks()

      Ulkus Links - Augen-/Fußuntersuchung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120667.
      Returns:
        UlkusLinks

    - #### setUlkusLinks

          public void setUlkusLinks(String _ulkusLinks)

    - #### getUlkusRechts

          public String getUlkusRechts()

      Ulkus Rechts - Augen-/Fußuntersuchung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120668.
      Returns:
        UlkusRechts

    - #### setUlkusRechts

          public void setUlkusRechts(String _ulkusRechts)

    - #### getVibrationsempfindenVermindertLinks

          public String getVibrationsempfindenVermindertLinks()

      Vibrationsempfinden vermindert Links - Augen-/Fußuntersuchung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120655.
      Returns:
        VibrationsempfindenVermindertLinks

    - #### setVibrationsempfindenVermindertLinks

          public void setVibrationsempfindenVermindertLinks(String _vibrationsempfindenVermindertLinks)

    - #### getVibrationsempfindenVermindertRechts

          public String getVibrationsempfindenVermindertRechts()

      Vibrationsempfinden vermindert Rechts - Augen-/Fußuntersuchung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120656.
      Returns:
        VibrationsempfindenVermindertRechts

    - #### setVibrationsempfindenVermindertRechts

          public void setVibrationsempfindenVermindertRechts(String _vibrationsempfindenVermindertRechts)

    - #### getRauchenJaNein

          public String getRauchenJaNein()

      Rauchen - Komorbiditäten/Rauchen.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120612.
      Returns:
        RauchenJaNein

    - #### setRauchenJaNein

          public void setRauchenJaNein(String _rauchenJaNein)

    - #### getEq5d

          public String getEq5d()

      Messwert der gesundheitsbezogenen Lebensqualität, der aus 5 Fragen berechnet wird - Einschreibung/Lebensqualität.
      Format: Numerisch: [1-3]{5} (5-stellig wobei nur die Ziffern 1-3 erlaubt sind).
      Angabe: Muss.
      ParameterID: 120658.
      Returns:
        Eq5d

    - #### setEq5d

          public void setEq5d(String _eq5d)

    - #### getEq5dvas

          public String getEq5dvas()

      Verwendung der visuellen Analog-Skala bei EQ-5D - Einschreibung/Lebensqualität.
      Format: Numerisch von 0 - 100.
      Angabe: Muss.
      ParameterID: 120659.
      Returns:
        Eq5dvas

    - #### setEq5dvas

          public void setEq5dvas(String _eq5dvas)

    - #### getGewicht

          public String getGewicht()

      Gewicht (kg) - Gemessene Werte.
      Format: Numerisch von 0 - 300.
      Angabe: Muss.
      ParameterID: 120660.
      Returns:
        Gewicht

    - #### setGewicht

          public void setGewicht(String _gewicht)

    - #### getGroesse

          public String getGroesse()

      Größe (cm) - Gemessene Werte.
      Format: Numerisch von 40 - 250.
      Angabe: Muss.
      ParameterID: 120661.
      Returns:
        Groesse

    - #### setGroesse

          public void setGroesse(String _groesse)

    - #### getRrsysRuhemessung

          public String getRrsysRuhemessung()

      Ruhemessung in Ordination RRSYS (in mmHG) - Gemessene Werte.
      Format: Numerisch von 70 - 300.
      Angabe: Muss.
      Der Wert muss größer sein als der 'diastolische Wert'.
      ParameterID: 120663.
      Returns:
        RrsysRuhemessung

    - #### setRrsysRuhemessung

          public void setRrsysRuhemessung(String _rrsysRuhemessung)

    - #### getRrdiaRuhemessung

          public String getRrdiaRuhemessung()

      Ruhemessung in Ordination RRDIA (in mmHG) - Gemessene Werte.
      Format: Numerisch von 30 - 150.
      Angabe: Muss.
      Der Wert muss kleiner sein als der 'systolische Wert'.
      ParameterID: 120664.
      Returns:
        RrdiaRuhemessung

    - #### setRrdiaRuhemessung

          public void setRrdiaRuhemessung(String _rrdiaRuhemessung)

    - #### getHba1c

          public String getHba1c()

      HbA1c (%) - Gemessene Werte.
      Format: Numerisch von 4,0 - 18,0.
      Angabe: Bedingt (Entweder 'HbA1c (%)' oder 'HbA1c (mmol/mol)' muss angegeben werden).
      ParameterID: 120669.
      Returns:
        Hba1c

    - #### setHba1c

          public void setHba1c(String _hba1c)

    - #### getHba1cMol

          public String getHba1cMol()

      HbA1c (mmol/mol) - Gemessene Werte.
      Format: Numerisch von 20 - 173.
      Angabe: Bedingt (Entweder 'HbA1c (%)' oder 'HbA1c (mmol/mol)' muss angegeben werden).
      ParameterID: 120696.
      Returns:
        Hba1cMol

    - #### setHba1cMol

          public void setHba1cMol(String _hba1cMol)

    - #### getKreatinin

          public String getKreatinin()

      Kreatinin (mg/dl) - Gemessene Werte.
      Format: Numerisch von 0,00 20,00.
      Angabe: Muss.
      ParameterID: 120670.
      Returns:
        Kreatinin

    - #### setKreatinin

          public void setKreatinin(String _kreatinin)

    - #### getCholesterin

          public String getCholesterin()

      Cholesterin - Gemessene Werte.
      Format: Numerisch von 0 - 999.
      Angabe: Muss (Der Wert "0" steht für nicht eruierbar.)
      ParameterID: 120671.
      Returns:
        Cholesterin

    - #### setCholesterin

          public void setCholesterin(String _cholesterin)

    - #### getHdlCholesterin

          public String getHdlCholesterin()

      HDL-Chol - Gemessene Werte.
      Format: Numerisch von 0 - 999.
      Angabe: Muss (Der Wert "0" steht für nicht eruierbar.)
      ParameterID: 120672.
      Returns:
        HdlCholesterin

    - #### setHdlCholesterin

          public void setHdlCholesterin(String _hdlCholesterin)

    - #### getTriglyceride

          public String getTriglyceride()

      Triglyceride (mg/dl) - Gemessene Werte.
      Format: Numerisch von 0 - 9999.
      Angabe: Muss (Der Wert "0" steht für nicht eruierbar.)
      ParameterID: 120674.
      Returns:
        Triglyceride

    - #### setTriglyceride

          public void setTriglyceride(String _triglyceride)

    - #### getEgfr

          public String getEgfr()

      eGFR (mittels CKD-EPI-Formel) - Gemessene Werte.
      Format: maximal 3-stellig numerisch; Wertebereich: 0-200
      Angabe: Kann.
      ParameterID: 120613.
      Returns:
        Egfr

    - #### setEgfr

          public void setEgfr(String _egfr)

    - #### getAlbuminKreatininQuotient

          public String getAlbuminKreatininQuotient()

      Albumin-Kreatinin-Quotient im Harn - Gemessene Werte.
      Format: maximal 5-stellig numerisch; Wertebereich: 0-20000
      Angabe: Kann.
      ParameterID: 120614.
      Returns:
        AlbuminKreatininQuotient

    - #### setAlbuminKreatininQuotient

          public void setAlbuminKreatininQuotient(String _albuminKreatininQuotient)

    - #### getAlbKreaKleiner

          public String getAlbKreaKleiner()

      Albumin-Kreatinin-Quotient kleiner - Gemessene Werte.
      Mögliche Werte siehe `JaTypConstants`.
      Angabe: Kann.
      ParameterID: 120615.
      Returns:
        AlbKreaKleiner

    - #### setAlbKreaKleiner

          public void setAlbKreaKleiner(String _albKreaKleiner)

    - #### getNurDiaet

          public String getNurDiaet()

      Nur Diät - Therapie/Zielvereinbarung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120677.
      Returns:
        NurDiaet

    - #### setNurDiaet

          public void setNurDiaet(String _nurDiaet)

    - #### getOad

          public String getOad()

      Orale Antidiabetika - Therapie/Zielvereinbarung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120678.
      Returns:
        Oad

    - #### setOad

          public void setOad(String _oad)

    - #### getInsulin

          public String getInsulin()

      Insulin - Therapie/Zielvereinbarung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120679.
      Returns:
        Insulin

    - #### setInsulin

          public void setInsulin(String _insulin)

    - #### getBlutdruckTherapie

          public String getBlutdruckTherapie()

      Blutdruck Therapie - Therapie/Zielvereinbarung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120684.
      Returns:
        BlutdruckTherapie

    - #### setBlutdruckTherapie

          public void setBlutdruckTherapie(String _blutdruckTherapie)

    - #### getKombiTherapie

          public String getKombiTherapie()

      Kombitherapie Zielvereinbarung - Therapie/Zielvereinbarung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120698.
      Returns:
        KombiTherapie

    - #### setKombiTherapie

          public void setKombiTherapie(String _kombiTherapie)

    - #### getBlutfette

          public String getBlutfette()

      Blutfette - Therapie/Zielvereinbarung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120616.
      Returns:
        Blutfette

    - #### setBlutfette

          public void setBlutfette(String _blutfette)

    - #### getGewichtZielvereinbarung

          public String getGewichtZielvereinbarung()

      Gewicht Zielvereinbarung - Therapie/Zielvereinbarung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120685.
      Returns:
        GewichtZielvereinbarung

    - #### setGewichtZielvereinbarung

          public void setGewichtZielvereinbarung(String _gewichtZielvereinbarung)

    - #### getBewegung

          public String getBewegung()

      Bewegung - Therapie/Zielvereinbarung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120686.
      Returns:
        Bewegung

    - #### setBewegung

          public void setBewegung(String _bewegung)

    - #### getTabak

          public String getTabak()

      Tabak - Therapie/Zielvereinbarung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss (darf nicht mit 'Ja' belegt sein, wenn 'Rauchen' den Wert 'nein' hat).
      ParameterID: 120687.
      Returns:
        Tabak

    - #### setTabak

          public void setTabak(String _tabak)

    - #### getErnaehrung

          public String getErnaehrung()

      Ernaehrung - Therapie/Zielvereinbarung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120688.
      Returns:
        Ernaehrung

    - #### setErnaehrung

          public void setErnaehrung(String _ernaehrung)

    - #### getBlutdruckZielvereinbarung

          public String getBlutdruckZielvereinbarung()

      Blutdruck Zielvereinbarung - Therapie/Zielvereinbarung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120689.
      Returns:
        BlutdruckZielvereinbarung

    - #### setBlutdruckZielvereinbarung

          public void setBlutdruckZielvereinbarung(String _blutdruckZielvereinbarung)

    - #### getHba1cZielvereinbarung

          public String getHba1cZielvereinbarung()

      HbA1c (%) Zielvereinbarung - Therapie/Zielvereinbarung.
      Format: Numerisch von 4,0 18,0.
      Angabe: Bedingt (Entweder 'HbA1c (%) - Zielvereinbarung' oder 'HbA1c (mmol/mol) - Zielvereinbarung' muss angegeben werden).
      ParameterID: 120690.
      Returns:
        Hba1cZielvereinbarung

    - #### setHba1cZielvereinbarung

          public void setHba1cZielvereinbarung(String _hba1cZielvereinbarung)

    - #### getHba1cMolZielvereinbarung

          public String getHba1cMolZielvereinbarung()

      HbA1c (mmol/mol) Zielvereinbarung - Therapie/Zielvereinbarung.
      Format: Numerisch von 20 - 173.
      Angabe: Bedingt (Entweder 'HbA1c (%) - Zielvereinbarung' oder 'HbA1c (mmol/mol) - Zielvereinbarung' muss angegeben werden).
      ParameterID: 120697.
      Returns:
        Hba1cMolZielvereinbarung

    - #### setHba1cMolZielvereinbarung

          public void setHba1cMolZielvereinbarung(String _hba1cMolZielvereinbarung)

    - #### getBlutdruckmessung

          public String getBlutdruckmessung()

      Blutdruckmessung - Selbstkontrolle/Schulung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120691.
      Returns:
        Blutdruckmessung

    - #### setBlutdruckmessung

          public void setBlutdruckmessung(String _blutdruckmessung)

    - #### getBlutzuckermessung

          public String getBlutzuckermessung()

      Blutzuckermessung - Selbstkontrolle/Schulung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120692.
      Returns:
        Blutzuckermessung

    - #### setBlutzuckermessung

          public void setBlutzuckermessung(String _blutzuckermessung)

    - #### getSchulung

          public String getSchulung()

      Diabetes Schulung - Selbstkontrolle/Schulung.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss (Muss den Wert 'Ja' haben, wenn das Datenfeld Diabetesschulung angegeben ist).
      ParameterID: 120694.
      Returns:
        Schulung

    - #### setSchulung

          public void setSchulung(String _schulung)

    - #### getDiabetesSchulungWannJahr

          public String getDiabetesSchulungWannJahr()

      Angabe, in welchem Jahr die Diabetesschulung besucht wurde - Selbstkontrolle/Schulung.
      Format: Numerisch im Format yyyy bzw. 0.
      Angabe: Bedingt (Muss gesetzt werden, wenn 'Diabetes - Schulung' mit 'Ja' belegt. Muss zwischen 1900 und dem aktuellen Jahr liegen. Darf nicht vor dem Geburtsjahr liegen. Eingabe von "0" wenn genaues Jahr nicht bekannt.)
      ParameterID: 120695.
      Returns:
        DiabetesSchulungWannJahr

    - #### setDiabetesSchulungWannJahr

          public void setDiabetesSchulungWannJahr(String _diabetesSchulungWannJahr)

    - #### getUntersuchungsdatum

          public String getUntersuchungsdatum()

      Untersuchungsdatum.
      Format: Datum im Format 'TT.MM.JJJJ'.
      Angabe: Muss (Das Datum darf nicht in der Zukunft liegen. Das Datum darf maximal 3 Jahre in der Vergangenheit liegen. Das Datum muss innerhalb der Gültigkeitsdauer des gewählten Betreuungsverhältnisses liegen. Als Gültigkeitsdauer gilt der Zeitraum zwischen Antragsdatum und Ausschreibedatum (falls kein Ausschreibedatum vorhanden ist, gilt das heutige Datum). Hinweis: Der Patient muss zu diesem Datum eingeschieben gewesen sein.)
      ParameterID: 120605.
      Returns:
        Untersuchungsdatum

    - #### setUntersuchungsdatum

          public void setUntersuchungsdatum(String _untersuchungsdatum)

    - #### getVersionsnummer

          public String getVersionsnummer()

      Version des Dokumentations-/Befundblattes.
      Mögliche Werte siehe `DatenblattVersionConstants`.
      Angabe: Muss.
      ParameterID: 129008.
      Returns:
        Versionsnummer

    - #### setVersionsnummer

          public void setVersionsnummer(String _versionsnummer)

    - #### getSvNummer

          public String getSvNummer()

      Sv-Nummer des Patienten für den das Datenblatt übermittelt werden soll.
      Format: 10-stellig.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `createDatenblattDmpDm2()`) angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      ParameterID: 129001.
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String _svNummer)

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum des Patienten.
      Format: 10-stellig im Format TT.MM.JJJJ
      Angabe: Bedingt (Muss angegeben werden, wenn die vom beim Aufruf `IDbasService.searchDmpData(String, String, String, String)` zurückgelieferte Struktur `PatientInfo` (enthalten in `DmpData`) kein gültiges Geburtsdatum enthält.)
      Hinweis: wenn am Server ein Geburtsdatum ermittelt werden konnte, so muss der Wert von `geburtsdatum` mit diesem übereinstimmen!
      Returns:
        Geburtsdatum

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### getBvId

          public Long getBvId()

      Eindeutiger Bezeichner des ausgewählten Betreuungsverhältnisses.
      Format: 19-stellig.
      Angabe: Muss.
      Returns:
        BvId

    - #### setBvId

          public void setBvId(Long bvId)